︠c5b36ad8-bd44-4994-b581-f1d31db9694fi︠
%html
<p><span style="font-size: xx-large;">Left Hand Riemann Sums</span></p>
<p><span style="font-size: medium;">Type in your own f(t), a, b, and n. Then click evaluate.</span></p>

︡2b89941e-7b40-4081-bc41-60265d99f69d︡{"html": "<p><span style=\"font-size: xx-large;\">Left Hand Riemann Sums</span></p>\n<p><span style=\"font-size: medium;\">Type in your own f(t), a, b, and n. Then click evaluate.</span></p>"}︡
︠56bba076-fc0c-4958-b707-4669791b1458︠
var ('t')
f(t)=cos(t)
a=-5
b=5
n=10
︡4d954cf4-2e07-4af0-aeb0-39f403c8edce︡︡
︠63b5bfbb-cb4c-404d-a450-982cbaeedc2ai︠
%html
<p><span style="font-size: medium;">Click evaluate.</span></p>

︡590a90da-639d-4b1b-bb62-5a45be9d9b19︡{"html": "<p><span style=\"font-size: medium;\">Click evaluate.</span></p>"}︡
︠1b734e48-cda8-4c33-9582-46aabbbe33d7︠
def left_riemann_plot(f, a, b, n):
    p = plot(f, a, b, thickness=2)
    deltax = (b-a)/n
    rectops = Piecewise([[(a+j*deltax, a+(j+1)*deltax),f(a+(j+1)*deltax)] for j in range(n)])
    prectops = plot(rectops, color='magenta', fill='axis', fillcolor='magenta')
    outline = []
    for j in range(n):
        outline = outline + [(a+j*deltax,0), (a+j*deltax,f(a+(j+1)*deltax)), (a+(j+1)*deltax,f(a+(j+1)*deltax)), (a+(j+1)*deltax, 0)]
    poutline = plot(line(outline, rgbcolor='black'))
    show(p + prectops + poutline)
︡6f5c2d9e-c35f-4e92-a9de-6f99ec026fe4︡︡
︠3f397a88-4671-413f-9434-8193de89dfc4i︠
%html
<p><span style="font-size: medium;">Click Evaluate.</span></p>

︡4fab66d1-89be-4721-9765-bbd3291f2dac︡{"html": "<p><span style=\"font-size: medium;\">Click Evaluate.</span></p>"}︡
︠fd92e832-a690-4067-8e34-874a1b0702e9︠
def left_riemann_value(f, a, b, n):
    deltax = (b-a)/n
    return(sum(f(a+(j+1)*deltax)*deltax for j in range(n)))
︡6aecb701-7c63-40f4-b56b-1a06e9290e31︡︡
︠14470a2f-295b-4a1e-82c7-97394a8118e4i︠
%html
<p><span style="font-size: medium;">Click Evaluate and you will see the Graph.</span></p>

︡2e3ca317-f6c0-45ab-a133-388525ee7939︡{"html": "<p><span style=\"font-size: medium;\">Click Evaluate and you will see the Graph.</span></p>"}︡
︠47388a2a-8608-4acf-b19e-0d7d79fa17d6︠
left_riemann_plot(f,a,b,n)
︡cd750580-e2e1-4e60-8331-9251fc8c618b︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠27754506-96fc-490a-acf9-a6e186baff97i︠
%html
<p><span style="font-size: medium;">Click evaluate to see the solution.</span></p>

︡7501e247-bb2a-43fd-9652-958cf5bbbf3c︡{"html": "<p><span style=\"font-size: medium;\">Click evaluate to see the solution.</span></p>"}︡
︠b3f18b81-1186-4221-9f61-bb2fab21cf7e︠
left_riemann_value(f,a,b,n).n()
︡15f2d3c0-086d-4b36-bb24-a869d06fd327︡{"stdout": "-1.75529911082289"}︡
︠ea6dbc20-bbb1-4cd3-92eb-13e3bf153592i︠
%html
<p><span style="font-size: large;">Hope you had enjoyed this! I did not use the "my list" you had provided, however, this code works for all functions.</span></p>
<p><span style="font-size: large;"><br /></span></p>
<p><span style="font-size: large;">Thank You.</span></p>

︡805f5fab-12d5-481b-8e4d-8e408991fb6c︡{"html": "<p><span style=\"font-size: large;\">Hope you had enjoyed this! I did not use the \"my list\" you had provided, however, this code works for all functions.</span></p>\n<p><span style=\"font-size: large;\"><br /></span></p>\n<p><span style=\"font-size: large;\">Thank You.</span></p>"}︡
